echo off
cls
rem
rem                       EQUAL PARTNERS
rem
rem                        Version 5.20
rem   Copyright (c) DOWNLINK SYSTEMS  1986,1987,1988,1989,1990,1991
rem
rem This is an example of installing PARTNERS on the "server"
rem also the .bat checks the error/return code from the
rem application program, and takes action accordingly.
rem
rem The %1 symbolic parameter MUST be either  C  or  L  (Com/Lpt)
rem
rem The %2 MUST be either  1  or  2  (Com1/Com2 or Lpt1/Lpt2)
rem
rem The %3 may be any other parameter
rem
PARTNERS.COM /%1/%2/%3

if errorlevel 7 goto exithelp
if errorlevel 6 goto okremote
if errorlevel 5 goto okesc
if errorlevel 4 goto already
if errorlevel 3 goto allocating
if errorlevel 2 goto shrinking
if errorlevel 1 goto badcomm
echo 
echo PARTNERS successfully installed (non-resident)
goto end

:okremote
echo 
echo PARTNERS returning to DOS because REMOTE requested shutdown!
goto end

:okesc
echo 
echo PARTNERS returning to DOS because 'ESC' key pressed!
goto end

:already
echo 
echo PARTNERS terminated because EQUAL is running on this PC
goto end

:shrinking
echo 
echo PARTNERS terminated because of an error freeing DOS memory
goto end

:allocating
echo 
echo PARTNERS terminated because there is not enough required memory (64k)
goto end

:badcomm
echo 
echo Communications device and port was not found or not specified
goto end

:end
rem echo 
rem echo ** END OF PARTNERS INSTALL **
:exithelp
