echo off
cls
rem
rem                       EQUAL PARTNERS
rem
rem                        Version 5.20
rem   Copyright (c) DOWNLINK SYSTEMS  1986,1987,1988,1989,1990,1991
rem This is an example of installing EQUAL on the "remote"
rem also the .bat checks the error/return code from the
rem application program, and takes action accordingly.
rem
rem The %1 symbolic parameter MUST be either  C  or  L  (Com/Lpt)
rem
rem The %2 MUST be either  1  or  2  (Com1/Com2 or Lpt1/Lpt2)
rem
rem The %3 may be any other parameter
rem

EQUAL.COM /%1/%2/%3

if errorlevel 6 goto exithelp
if errorlevel 5 goto noserver
if errorlevel 4 goto okserver
if errorlevel 3 goto already
if errorlevel 2 goto missing
if errorlevel 1 goto badcomm
echo 
echo Equal successfully installed resident
goto end

:noserver
echo 
echo The REMOTE request for the SERVER to shutdown was NOT successfull!
goto end

:okserver
echo 
echo The REMOTE request for the SERVER to shutdown WAS successfull!
goto end

:already
echo 
echo The EQUAL communications program is ALREADY installed resident
goto end

:missing
echo 
echo The system file, CONFIG.SYS ,is missing the "DEVICE=50-50.SYS" statement
goto end

:badcomm
echo 
echo Communications device and port was not found or not specified
goto end

:end
echo 
echo ** END OF EQUAL INSTALL **
:exithelp
